# classes/phing/filters/ExpandProperties.php

## \ExpandProperties
jump to top

Expands Phing Properties, if any, in the data.

<

p> Example:

    <expandproperties/>

Or:

###

    Extends from
    \BaseFilterReader
    Implements
    \ChainableReader
    see
    \BaseFilterReader
    author
    Yannick Lecaillez
    author
    Hans Lellelid
    package
    phing.filters
    version
    $Revision: 526 $

    Methods

                chain(
              object $reader
              )

            :
            objectCreates a new ExpandProperties filter using the passed in
    Reader for instantiation.

    Parameters

    Name
    Type
    Description

    $reader
    object
    A Reader object providing the underlying stream. Must not be null.

    Returns

    Type
    Description

    object

                read(
               $len
                  =
                  null
              )

            :
            mixedReturns the filtered stream.

    The original stream is first read in fully, and the Phing properties are expanded.

    Parameters

    Name
    Type
    Description

    $len

    Returns

    Type
    Description

    mixed

    Details
    exception
    IOException if the underlying stream throws an IOException
    during reading

Documentation was generated by DocBlox 0.13.1.